Skip to content
View Markdown

Remove file or empty directory

DELETE/v1/disks/{disk}/files/{path}
DELETE
/v1/disks/{disk}/files/{path}
curl --request DELETE \
--url https://api.wabe.sh/v1/disks/demo/files/notes.txt \
--header 'Authorization: Bearer <token>'
disk
required
string
/^[A-Za-z0-9_-]{1,128}$/

Example

demo

Project disk name, or the disk ID in the actor runtime disk URL.

path
required

Virtual file path relative to root; may contain slash-separated components.

string

Example

notes.txt
branch
string
commit
string format: uuid
label
string

File or empty directory removed.

Invalid input.

Media typetext/plain
string

Missing, invalid or revoked project API key, or an invalid runtime access token.

Media typeapplication/json
object
error
required
string
message
required
string

Actor runtime token does not authorize this disk or instance generation.

Media typeapplication/json
object
error
required
string
message
required
string

Object was not found.

Media typetext/plain
string

Conflict, nonempty destination or referenced object.

Media typetext/plain
string

Storage, I/O or corruption failure.

Media typetext/plain
string

Disk unavailable.

Media typeapplication/json
object
error
required
string
message
required
string